MYLIBA = mylib.a
CFLAGS = -O4 -cg92 -fnonstd -pts -ptr$R
R=$(HOME)/mylib/ptrepository
CC = CC -c $(CFLAGS) -I$(H)
LFLAGS=
LINK=CC $(CFLAGS) -I$(H)
LIB=ar r
MYLIB=$(HOME)/mylib
H=$(HOME)/headers

OBJS= table.o arbfunc.o

$(MYLIB)/$(MYLIBA)     : $(OBJS)
	$(LIB) $(MYLIB)/$(MYLIBA) $? && ranlib $(MYLIB)/$(MYLIBA)

twotable.o block_B_f.o	: twotable.h $(H)/Range.h

$H/table.h : table.h
	cp_prot table.h $H/table.h
$H/twotable.h : twotable.h
	cp_prot twotable.h $H/twotable.h
$H/arbfunc.h : arbfunc.h
	cp_prot arbfunc.h $H/arbfunc.h

table.o : $H/String.h $H/Block.h $H/doublet.h $H/Range.h $H/arbfunc.h
arbfunc.o : $H/arbfunc.h

test_table : test_table.o $(MYLIB)/$(MYLIBA)
	$(LINK) -o test_table test_table.o $(MYLIB)/$(MYLIBA) -lm; test_table
